Class | Ferret::Analysis::HyphenFilter
In: | ext/r_analysis.c
Parent: | Ferret::Analysis::TokenStream

HyphenFilter filters hyphenated words by adding both the word concatenated into a single word and split into multiple words. ie "e-mail" becomes "email" and "e mail". This way a search for "e-mail", "email" and "mail" will all match. This filter is used by default by the StandardAnalyzer.

### Example

      ["e-mail", "set-up"] => ["email", "e", "mail", "setup", "set", "up"]

### Methods

new

### Public Class methods

HyphenFilter.new(token_stream) → token_stream

Create an HyphenFilter which filters hyphenated words. The way it works is by adding both the word concatenated into a single word and split into multiple words. ie "e-mail" becomes "email" and "e mail". This way a search for "e-mail", "email" and "mail" will all match. This filter is used by default by the StandardAnalyzer.

[Validate]